<?/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

if(file_exists("config.ini")){
	$vlineas = file("config.ini");
	foreach ($vlineas as $sLinea) {
		if(substr($sLinea,0,24) == "PERMITIR_UN_USUARIO_REG="){
			$_SESSION["PERMITIR_UN_USUARIO_REG"]=trim(substr($sLinea,24));
		}
	}
}
?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script>
var aleatorios = new Array();
$j_6(document).ready(function() {		
	$j_6('#loading').hide();
	captcha(5);
	//document.getElementById('registrar').disabled=true;
    $j_3().ajaxStart(function() {
        $j_3('#loading').show();
        $j_3('#result').hide();
    }).ajaxStop(function() {
        $j_3('#result').fadeIn('slow');
		$j_3('#loading').hide();
    });
	
		var options = {
			beforeSubmit: function() {
					if(!validaCodigo())
						return false;
					if(!$j_6("#email2").correo())
						return false;
				},
			success:  function(data) {
						if(data.indexOf("Aviso: ") != -1){
							$j_3("#usr").attr('readonly', true);
							$j_3("#email2").attr('readonly', true);
							$j_3("#pass").attr('readonly', true);
							$j_3("#puesto").attr('readonly', true);
							$j_3("#rfc").attr('readonly', true);
							$j_3("#nombre").attr('readonly', true);
							$j_3("#telefono").attr('readonly', true);
							document.getElementById('registrar').disabled=true;
							document.getElementById('registrar').className="estilo_btn_disabled";
							//$j_3('#result').html(data.replace("true: ","")+"<br>Se a enviado un correo a su cuenta para autenticar que su correo es valido.");
							$j_3('#result').html(data);
							$j_3('#loading').hide();
							
						}else{
							$j_3('#result').html(data);
							$j_3('#loading').hide();
						}
		}
		};
		$j_3('#formUser').ajaxForm(options);

   $j_6("#usr").change(function () {
   		$j_6("#usr").each(function () {
				var usr=$j_6(this).val();
				$j_6.post("regresaUser.php", { usr: usr },function(data){
				if(usr == ""){
					var cuerpoValida='<font color="red"><strong>Ingrese el usuario</strong></font> <img src="Imagenes/Eraser.png" width="16" height="16"/>';
					$j_6("#validaUser").html(cuerpoValida);
				}else if(data.indexOf("false:") != -1){
					var cuerpoValida='<font color="red"><strong>Usuario <font color="blue">'+usr+'</font> no disponible</strong></font> <img src="Imagenes/Eraser.png" width="16" height="16"/>';
					$j_6("#validaUser").html(cuerpoValida);
					$j_6("#usr").val("");
				}else{
					var cuerpoValida='<font color="green"><strong>Usuario disponible</strong></font> <img src="Imagenes/accept.png" width="16" height="16"/>';
					$j_6("#validaUser").html(cuerpoValida);
				}
			});			
        });
   });
   
   <?if($_SESSION["PERMITIR_UN_USUARIO_REG"] == "SI"){?>
	   $j_6("#rfc").change(function () {
			$j_6("#rfc").each(function () {
					toUpper(this);
					var rfc=$j_6(this).val();
					
					
					$j_6.post("validaRFC.php", { rfc: rfc },function(data){
					if(rfc == ""){
						var cuerpoValida='<font color="red"><strong>Ingrese el RFC</strong></font> <img src="Imagenes/Eraser.png" width="16" height="16"/>';
						$j_6("#validaRFC").html(cuerpoValida);
						$j_6("#nombreEmpresa").val('');
					}else if(data.indexOf("false:") != -1){
						var cuerpoValida='<font color="red"><strong>Ya se dio de alta previamente un usuario con el RFC '+rfc+'.</strong></font> <img src="Imagenes/Eraser.png" width="16" height="16"/>';
						$j_6("#validaRFC").html(cuerpoValida);
						$j_6("#rfc").val("");
						$j_6("#nombreEmpresa").val('');
					}else{
						var cuerpoValida='<font color="green"><strong>RFC Correcto</strong></font> <img src="Imagenes/accept.png" width="16" height="16"/>';
						$j_6("#validaRFC").html(cuerpoValida);
						$j_6("#nombreEmpresa").val(data.replace('true:',''));
					}
				});			
			});
	   });
   <?}?>
   
   $j_6("#codigo" ).keypress(function (e) {
   		$j_6("#codigo").each(function () {
				$j_6("#validaCodigo").html("");
        });
   });
      
   $j_6("#email2").change(function () {
   		$j_6("#email2").each(function () {
				
				var email=$j_6(this).val();
				/*if(email == ""){
					cuerpoValida='<font color="red"><strong>Ingrese el correo</strong></font> <img src="Imagenes/Eraser.png" width="16" height="16"/>';
					$j_6("#validaEmail").html(cuerpoValida);
					$j_6("#email2").val("");
				}else */if($j_6("#email2").correo())
				{
					var cuerpoValida='<font color="green"><strong>Email valido</strong></font> <img src="Imagenes/accept.png" width="16" height="16"/>';
					$j_6("#validaEmail").html(cuerpoValida);
				}else{
					var cuerpoValida='<font color="red"><strong>Email <font color="blue">'+email+'</font> no valido</strong></font> <img src="Imagenes/Eraser.png" width="16" height="16"/>';
					$j_6("#validaEmail").html(cuerpoValida);
				}
        });
   });
   
   $j_6.fn.correo=function()
	{
		if(/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test($j_6(this).val()))
		{
			return true;
		}
		else
		{
			return false;
		}
	}	
});
function captcha(n){
	$j_6.post("captcha.php?n="+n, {},function(data){
				aleatorios = data.substr(data.indexOf("RANDOM:"),data.length).replace("RANDOM:","").split('|');
				data=data.substr(0,data.indexOf("RANDOM:"));
				$j_6("#captcha").html(data);
				$j_6("#codigo").attr('readonly', false);
	});
}
function maximo(campo,limite){
if(campo.value.length>=limite){
campo.value=campo.value.substring(0,limite);
 }
}
function validaCodigo(){
	var codigo=$j_6("#codigo").val();
	var codigos = new Array();
				for(i = 0 ; i < codigo.length;i++){
					codigos[i]=codigo.substr(i,1);
					if(aleatorios[i] != codigos[i]){
						var cuerpoValida='<font color="red"><strong>Codigo de seguridad incorrecto, favor de refrescar la imagen</strong></font> <img src="Imagenes/Eraser.png" width="16" height="16"/>';
						$j_6("#validaCodigo").html(cuerpoValida);
						$j_6("#codigo").val("");
						/*document.getElementById('registrar').disabled=true;
						document.getElementById('registrar').className="estilo_btn_disabled";*/
						$j_6("#codigo").attr('readonly', true);
						return false;
					}
				}
				if((aleatorios.length-1) == codigos.length){
					var cuerpoValida='<font color="green"><strong>Codigo de seguridad correcto</strong></font> <img src="Imagenes/accept.png" width="16" height="16"/>';
					$j_6("#validaCodigo").html(cuerpoValida);
					/*document.getElementById('registrar').disabled=false;
					document.getElementById('registrar').className="estilo_btn";*/
					return true;
				}else{
					var cuerpoValida='<font color="red"><strong>Codigo de seguridad incorrecto, favor de refrescar la imagen</strong></font> <img src="Imagenes/Eraser.png" width="16" height="16"/>';
					$j_6("#validaCodigo").html(cuerpoValida);
					$j_6("#codigo").val("");
					/*document.getElementById('registrar').disabled=true;
					document.getElementById('registrar').className="estilo_btn_disabled";*/
					$j_6("#codigo").attr('readonly', true);
					return false;
				}
}
</script>
<?
$lblContacto="";
if(file_exists("config.ini")){
	$vlineas = file("config.ini"); 
 
	foreach ($vlineas as $sLinea) {
			if(substr($sLinea,0,14) == "LABELCONTACTO="){
				$lblContacto=trim(str_replace("LABELCONTACTO=","",$sLinea));
			}
		}
}
if($lblContacto == "")
	$lblContacto="Contacto de ventas del proveedor";
?>
<center>
<table class="td_general" bgcolor="white" width="800">
<tr>
	<td valign="top" class="txt_logindat_13" width="800" height="35"><div id="result"></div></td>
</tr>
<tr>
<td>
<table bgcolor="#FFFFFF">
		<tr>
			<td valign="top" class="txt_logindat" align="center"><center><h2>REGISTRO DE USUARIO</h2></center></td>
		</tr>
</table>
</td>
</tr>
<tr>
<td>
		<form name="formUser" id="formUser" action="altaUserReg.php" method="post">
        <table class="td_general" bgcolor="#FFFFFF">
		<tr>
		<td valign="top" class="txt_logindat" colspan="4">
		<br/>
		<strong>Datos de la Empresa</strong>
		<br/>
		<table class="td_general" width="750">
		<tr>
        <td valign="top" class="txt_logindat" width="250">
		<strong>RFC * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" onKeyUp="onlyAlphaNumericWithAmp(this);" size="60" name="rfc" id="rfc" class=":required Logers">
		<div id="validaRFC"></div>
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Raz&oacute;n Social * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" size="60" name="nombreEmpresa" id="nombreEmpresa" class=":required Logers">
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Telefono * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" size="60" name="telefono" id="telefono" class=":required Logers">
		</td>
		</tr>
		<tr>
			<td valign="top" class="txt_logindat" width="200">
			<strong><?=$lblContacto?> * :</strong>
			</td>
			<td valign="top" class="txt_logindat" colspan="2">
			<input type="text" size="60" name="contacto" id="contacto" class=":required Logers">
			</td>
		</tr>
		
		<?if(@$_SESSION["tipo_portal"] == "ABSA" || @$_SESSION["tipo_portal"] == "VIMIFOS"){?>
                    <?if($_SESSION["tipo_portal"] == "ABSA"){?>
                    <tr>
                            <td valign="top" class="txt_logindat" width="200">
                            <strong>D&iacute;as Pago * :</strong>
                            </td>
                            <td valign="top" class="txt_logindat" colspan="2">
                            <input type="text" size="60" name="dias_pago" id="dias_pago" class=":required Logers">
                            </td>
                    </tr>
                    <?}?>
                    <tr>
                            <td valign="top" class="txt_logindat" width="200">
                                    <strong>Tipo Proveedor * :</strong>
                            </td>
                            <td valign="top" class="txt_logindat">
                                    <select name="tipo_proveedor" id="tipo_proveedor" class=":required Logers">
                                            <?if($_SESSION['tipo_portal'] == "ABSA"){?>
                                                <option value="COMPRAS">COMPRAS</option>
                                            <?}else if($_SESSION['tipo_portal'] == "VIMIFOS"){?>
                                                <option value="MATERIAS PRIMAS">MATERIAS PRIMAS</option>
                                            <?}?>
                                            <option value="GASTOS">GASTOS</option>
                                    </select>
                            </td>
                    </tr>
		<?}?>
		</table>
		</td>
        <td colspan="4" valign="top" class="txt_logindat"><br></td>
		</tr>
		
		<tr>
		<td valign="top" class="txt_logindat" colspan="4">
		<strong>Datos Personales</strong>
		<br>
		<table class="td_general">
		<tr>
		<td valign="top" class="txt_logindat" width="180">
		<strong>Usuario: * :</strong>		
        </td>
		<td valign="top" class="txt_logindat" width="170">
		<input type="text" size="35" onKeyUp="onlyAlphaNumericWith_point_guion(this)" maxlength="13" name="usr" id="usr" class=":required Logers" value="<?=@$usr?>"
		<?
		if(@$usr != "")
		{
			echo "readOnly";
		}
		?>
		/>
		<div id="validaUser"></div>
		</td>
        <td valign="top" class="txt_logindat" width="280">
        <strong>Nombre * :</strong>
        </td>
        <td valign="top" class="txt_logindat" width="455">
        <input type="text" size="35" onBlur="toUpper(this)" name="nombre" id="nombre" class=":required Logers" value="<?=@$nombre?>" maxlength="100"/>
        <br><br>
        </td>
        </tr>
		<tr>
		<td valign="top" class="txt_logindat" width="280">
		<strong>Contrase&ntilde;a: * :</strong>		
        </td>
		<td valign="top" class="txt_logindat" width="170">
		<input type="password" maxlength="32" size="35" name="pass" id="pass" class="<?if(!isset($_GET['usr'])) echo ":required ";?>Logers"/>
		</td>
        <td valign="top" class="txt_logindat" width="95">
        <strong>E-Mail * :</strong>
        </td>
        <td valign="top" class="txt_logindat" width="455">
        <input type="text" size="35" name="email2" id="email2" class=":required Logers">
		<div id="validaEmail"></div>
        </td>
        </tr>
		<tr>
		<td valign="top" class="txt_logindat" width="115">
		<strong>Puesto: * :</strong>	
        </td>
		<td valign="top" class="txt_logindat" colspan="3">
		<input type="text" maxlength="255" size="35" onBlur="toUpper(this)" name="puesto" id="puesto" class=":required Logers" value="<?=@$puesto?>"/>
		</td>
        </tr>
		</table>
		<table>
		<tr>
		<td class="td_general">
		<div id="captcha" width="200"></div>
		</td>
		<td class="td_general">
		<img onClick="captcha(5)" src="Imagenes/update.png" style="cursor: pointer" width="16" height="16" />
		</td>
		</tr>
		</table>
		Codigo de seguridad:
		<input type="text" name="codigo" id="codigo" maxlength="5" size="10" class=":required">
		<div id="validaCodigo"></div>
		</td>
		</tr>
        <tr>
        <td colspan="4">
        <? echo btnNavegacion("index.php");?>
        </td>
        </tr>
		</table>
        </form>
</td>
</tr>
</table>
</center>

<?
function btnNavegacion($url)
{
?>	
		<input type="submit" class="estilo_btn" value="REGISTRAR" name="registrar" id="registrar"/> 
        <input type="button" onClick="abrir('<?=$url?>','regresa','')" value="REGRESAR" class="estilo_btn"/>
<?}?>